Global Fishing Watch API
ExamplesInsights

Get insights for a vessel related to fishing events

Example Insights request returning apparent fishing indicators for one vessel over a date range.

Request body

FieldValueDescription
includes["FISHING"]Insight type to include: apparent fishing events
startDate2020-01-01Start of the period to analyze
endDate2020-12-31End of the period to analyze
vessels[0].datasetIdpublic-global-vessel-identity:latestVessel identity dataset
vessels[0].vesselId785101812-2127-e5d2-e8bf-7152c5259f5fVessel id to get insights for

Request

# Make sure to replace [TOKEN] with your API Access Token.
curl --location --request POST 'https://gateway.api.globalfishingwatch.org/v3/insights/vessels' \
--header 'Authorization: Bearer [TOKEN]' \
--header 'Content-Type: application/json' \
--data-raw '{
    "includes": [ "FISHING"],
    "startDate": "2020-01-01",
    "endDate": "2020-12-31",
    "vessels": [
     {"datasetId":"public-global-vessel-identity:latest","vesselId":"785101812-2127-e5d2-e8bf-7152c5259f5f"}
    ]
}'

Response

{
  "period": {
    "startDate": "2020-01-01",
    "endDate": "2020-12-31"
  },
  "apparentFishing": {
    "datasets": ["public-global-fishing-events:v3.0"],
    "historicalCounters": {
      "events": 2546,
      "eventsInRFMOWithoutKnownAuthorization": 0,
      "eventsInNoTakeMPAs": 18
    },
    "periodSelectedCounters": {
      "events": 523,
      "eventsInRFMOWithoutKnownAuthorization": 0,
      "eventsInNoTakeMPAs": 18
    },
    "eventsInRfmoWithoutKnownAuthorization": [],
    "eventsInNoTakeMpas": [
      "9864ab75303cfc44fe4542fa755987e8",
      "77d84fa537395a6c29fc8509e337e82b",
      "9f053082b086a5c66fd87d54fb456bb9",
      "20db28e5e09ce91c347a54637460fb19",
      "2a937121e418ef38889fc9395461ee68",
      "b920508f737e8b9c678e3fef74a6799a",
      "e62a86cc34b5eba3826a02ee1fa6f846",
      "1ce80b9f862d28c2f470561021eac8bb",
      "a530632e0c5221a931520c60593b33bf",
      "031c029d9ab3ab2b4f7151df2b0a13c7",
      "d24003cbd7bf9b4cddb174a967136635",
      "9f7972a6b56d99f60d0586cf4545cabf",
      "8ed2cc511fb59e96e5549d902a65e176",
      "97bbac02d35fa9e2a3dc196502ef47b8",
      "29a91f15fd844bd0fc344d47d3490a9d",
      "877f42def050b3784e4a9d1387503220",
      "11d484a2d0e397fcf5a8a5a9cb9124a8",
      "af534af9aec9149add9f66265296de7d"
    ]
  }
}